# Uses of Enum Class
jdk.jfr.RecordingState

Packages that use RecordingState
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of RecordingState in jdk.jfr

Subclasses with type arguments of type RecordingState in jdk.jfr
Modifier and Type
Class
Description
`enum`
`RecordingState`
Indicates a state in the life cycle of a recording.
Methods in jdk.jfr that return RecordingState
Modifier and Type
Method
Description
`RecordingState`
Recording.`getState()`
Returns the recording state that this recording is currently in.
`static RecordingState`
RecordingState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RecordingState[]`
RecordingState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.